ur_rna.RNAstructure.backend

## Class HybridRNA

- java.lang.Object
- - ur_rna.RNAstructure.backend.Thermodynamics
  - - ur_rna.RNAstructure.backend.RNA
    - - ur_rna.RNAstructure.backend.HybridRNA

-     public class HybridRNA
      extends RNA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `swigCPtr`

    - ### Fields inherited from class ur_rna.RNAstructure.backend.Thermodynamics

      `swigCMemOwn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HybridRNA(long cPtr, boolean cMemoryOwn)`
    `` | `HybridRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2)`
    `` | `HybridRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2, boolean IsRNA)`
    `` | `HybridRNA(java.lang.String filename1, int type1, java.lang.String filename2, int type2, java.lang.String alphabet)`
    `` | `HybridRNA(java.lang.String sequence1, java.lang.String sequence2)`
    `` | `HybridRNA(java.lang.String sequence1, java.lang.String sequence2, boolean IsRNA)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `AccessFold()`
    `int` | `AccessFold(double gamma)`
    `int` | `AccessFold(double gamma, float percent)`
    `int` | `AccessFold(double gamma, float percent, int maximumstructures)`
    `int` | `AccessFold(double gamma, float percent, int maximumstructures, int window)`
    `int` | `AccessFold(double gamma, float percent, int maximumstructures, int window, int maxinternalloopsize)`
    `void` | `delete()`
    `protected void` | `finalize()`
    `int` | `FoldBimolecular()`
    `int` | `FoldBimolecular(float percent)`
    `int` | `FoldBimolecular(float percent, int maximumstructures)`
    `int` | `FoldBimolecular(float percent, int maximumstructures, int window)`
    `int` | `FoldBimolecular(float percent, int maximumstructures, int window, java.lang.String savefile)`
    `int` | `FoldBimolecular(float percent, int maximumstructures, int window, java.lang.String savefile, int maxinternalloopsize)`
    `int` | `FoldDuplex()`
    `int` | `FoldDuplex(float percent)`
    `int` | `FoldDuplex(float percent, int maximumstructures)`
    `int` | `FoldDuplex(float percent, int maximumstructures, int window)`
    `int` | `FoldDuplex(float percent, int maximumstructures, int window, int maxinternalloopsize)`
    `protected static long` | `getCPtr(HybridRNA obj)`
    `int` | `GetErrorCode()`
    `boolean` | `GetForbidIntramolecular()`
    `java.lang.String` | `GetMyErrorMessage(int error)`
    `RNA` | `GetRNA1()`
    `RNA` | `GetRNA2()`
    `int` | `PartitionFunctionBimolecular()`
    `int` | `PartitionFunctionBimolecular(java.lang.String savefile)`
    `void` | `SetForbidIntramolecular(boolean forbid)`
    `void` | `SetProgress(ProgressHandler Progress)`
    `void` | `StopProgress()`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.RNA

      `AddComment, AddComment, BreakPseudoknot, BreakPseudoknot, BreakPseudoknot, BreakPseudoknot, CalculateFreeEnergy, CalculateFreeEnergy, CalculateFreeEnergy, ContainsPseudoknot, CopyThermo, DetermineDrawingCoordinates, DetermineDrawingCoordinates, EnsureStructureCapcacity, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, FoldSingleStrand, ForceDoubleStranded, ForceFMNCleavage, ForceMaximumPairingDistance, ForceModification, ForcePair, ForceProhibitPair, ForceSingleStranded, GenerateAllSuboptimalStructures, GenerateAllSuboptimalStructures, GenerateAllSuboptimalStructures, GetBackboneType, GetCommentString, GetCommentString, getCPtr, GetEnsembleDefect, GetEnsembleDefect, GetEnsembleEnergy, GetErrorDetails, GetErrorMessage, GetForcedDoubleStranded, GetForcedFMNCleavage, GetForcedModification, GetForcedPair, GetForcedProhibitedPair, GetForcedSingleStranded, GetFreeEnergy, GetFullErrorMessage, getIntAt, getInts, GetLabelXCoordinate, GetLabelYCoordinate, GetMaximumPairingDistance, GetNucleotide, GetNucleotideXCoordinate, GetNucleotideYCoordinate, GetNumberOfForcedDoubleStranded, GetNumberOfForcedFMNCleavages, GetNumberOfForcedModifications, GetNumberOfForcedPairs, GetNumberOfForcedProhibitedPairs, GetNumberOfForcedSingleStranded, GetPair, GetPair, GetPairEnergy, GetPairProbabilities, GetPairProbability, GetProgress, GetSequence, GetSequenceLength, GetStructure, GetStructureNumber, initInts, MaximizeExpectedAccuracy, MaximizeExpectedAccuracy, MaximizeExpectedAccuracy, MaximizeExpectedAccuracy, MaximizeExpectedAccuracy, PartitionFunction, PartitionFunction, PartitionFunction, PartitionFunction, PartitionFunction, PredictProbablePairs, PredictProbablePairs, ProbKnot, ProbKnot, ProbKnot, ProbKnotFromSample, ProbKnotFromSample, ProbKnotFromSample, ReadConstraints, ReadDMS, ReadDSO, ReadExperimentalPairBonus, ReadSHAPE, ReadSHAPE, ReadSHAPE, ReadSHAPE, ReadSHAPE, ReadSSO, ReFoldSingleStrand, ReFoldSingleStrand, ReFoldSingleStrand, ReFoldSingleStrand, RemoveBasePair, RemoveBasePair, RemoveConstraints, RemovePairs, RemovePairs, RemovePairs, ResetError, SetErrorDetails, SetExtrinsic, SpecifyPair, SpecifyPair, Stochastic, Stochastic, Stochastic, WriteConstraints, WriteCt, WriteDotBracket, WriteDotBracket, WriteDotBracket, WriteThermodynamicDetails, WriteThermodynamicDetails`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.Thermodynamics

      `ClearEnergies, ClearEnthalpies, GetAlphabetName, getCPtr, GetDatatable, GetEnergyRead, GetEnthalpyTable, GetEnthalpyTable, getIsrna, GetTemperature, IsAlphabetRead, ReadThermodynamic, ReadThermodynamic, ReadThermodynamic, ReadThermodynamic, ReloadDataTables, ReloadDataTables, setIsrna, SetTemperature, VerifyThermodynamic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### HybridRNA

          protected HybridRNA(long cPtr,
                              boolean cMemoryOwn)

    - #### HybridRNA

          public HybridRNA(java.lang.String filename1,
                           int type1,
                           java.lang.String filename2,
                           int type2)

    - #### HybridRNA

          public HybridRNA(java.lang.String filename1,
                           int type1,
                           java.lang.String filename2,
                           int type2,
                           boolean IsRNA)

    - #### HybridRNA

          public HybridRNA(java.lang.String filename1,
                           int type1,
                           java.lang.String filename2,
                           int type2,
                           java.lang.String alphabet)

    - #### HybridRNA

          public HybridRNA(java.lang.String sequence1,
                           java.lang.String sequence2)

    - #### HybridRNA

          public HybridRNA(java.lang.String sequence1,
                           java.lang.String sequence2,
                           boolean IsRNA)

  - ### Method Detail

    - #### AccessFold

          public int AccessFold()

    - #### AccessFold

          public int AccessFold(double gamma)

    - #### AccessFold

          public int AccessFold(double gamma,
                                float percent)

    - #### AccessFold

          public int AccessFold(double gamma,
                                float percent,
                                int maximumstructures)

    - #### AccessFold

          public int AccessFold(double gamma,
                                float percent,
                                int maximumstructures,
                                int window)

    - #### AccessFold

          public int AccessFold(double gamma,
                                float percent,
                                int maximumstructures,
                                int window,
                                int maxinternalloopsize)

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `RNA`

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `RNA`

    - #### FoldBimolecular

          public int FoldBimolecular()

    - #### FoldBimolecular

          public int FoldBimolecular(float percent)

    - #### FoldBimolecular

          public int FoldBimolecular(float percent,
                                     int maximumstructures)

    - #### FoldBimolecular

          public int FoldBimolecular(float percent,
                                     int maximumstructures,
                                     int window)

    - #### FoldBimolecular

          public int FoldBimolecular(float percent,
                                     int maximumstructures,
                                     int window,
                                     java.lang.String savefile)

    - #### FoldBimolecular

          public int FoldBimolecular(float percent,
                                     int maximumstructures,
                                     int window,
                                     java.lang.String savefile,
                                     int maxinternalloopsize)

    - #### FoldDuplex

          public int FoldDuplex()

    - #### FoldDuplex

          public int FoldDuplex(float percent)

    - #### FoldDuplex

          public int FoldDuplex(float percent,
                                int maximumstructures)

    - #### FoldDuplex

          public int FoldDuplex(float percent,
                                int maximumstructures,
                                int window)

    - #### FoldDuplex

          public int FoldDuplex(float percent,
                                int maximumstructures,
                                int window,
                                int maxinternalloopsize)

    - #### getCPtr

          protected static long getCPtr(HybridRNA obj)

    - #### GetErrorCode

          public int GetErrorCode()

      Overrides:
        `GetErrorCode` in class `RNA`

    - #### GetForbidIntramolecular

          public boolean GetForbidIntramolecular()

    - #### GetMyErrorMessage

          public java.lang.String GetMyErrorMessage(int error)

    - #### GetRNA1

          public RNA GetRNA1()

    - #### GetRNA2

          public RNA GetRNA2()

    - #### PartitionFunctionBimolecular

          public int PartitionFunctionBimolecular()

    - #### PartitionFunctionBimolecular

          public int PartitionFunctionBimolecular(java.lang.String savefile)

    - #### SetForbidIntramolecular

          public void SetForbidIntramolecular(boolean forbid)

    - #### SetProgress

          public void SetProgress(ProgressHandler Progress)

      Overrides:
        `SetProgress` in class `RNA`

    - #### StopProgress

          public void StopProgress()

      Overrides:
        `StopProgress` in class `RNA`